
/****************分享功能***************/
/** share **/
@font-face {
  font-family: "iconfont";
  src: url('iconfont.eot?t=1473960234'); /* IE9*/
  src: url('iconfont.eot?t=1473960234#iefix') format('embedded-opentype'), /* IE6-IE8 */
  url('iconfont.woff?t=1473960234') format('woff'), /* chrome, firefox */
  url('iconfont.ttf?t=1473960234') format('truetype'), /* chrome, firefox, opera, Safari, Android, iOS 4.2+*/
  url('iconfont.svg?t=1473960234#iconfont') format('svg'); /* iOS 4.1- */
}

.icon {
  font-family: "iconfont"!important;
  font-size:16px;
  font-style:normal;
  -webkit-font-smoothing: antialiased;
  -webkit-text-stroke-width: 0.2px;
  -moz-osx-font-smoothing: grayscale;
}
.icon-home:before { content: "\3452"; }
.icon-qq:before { content: "\e606"; }
.icon-weixin:before { content: "\e618"; }
.icon-weibo:before { content: "\e609"; }
.icon-play:before { content: "\e824"; }
.icon-audio:before { content: "\e604"; }
.icon-loading:before { content: "\e703"; }
.icon-top:before { content: "\e67e"; }
.icon-qzone:before { content: "\e602"; }
.icon-pause:before { content: "\e826"; }

#share-container {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 50px;
  height: 50px;
  opacity: .3;/*分享透明度*/
  z-index: 2;
}

#share-container > div {
  position: absolute;
}

.share, .share a, .share a:visited {
  color: #fff;
  text-decoration: none;
  border-radius: 50%;
}
.fun a, .fun a:visited {
  color: #333;
  text-decoration: none;
}

.fun, .share {
  display: block;
  width: 50px;
  height: 50px;
  background: #fff;
  border: 1px solid #fff;
  border-radius: 50%;
  -webkit-transition: all ease-in-out .2s;
  -moz-transition: all ease-in-out .2s;
  -ms-transition: all ease-in-out .2s;
  -o-transition: all ease-in-out .2s;
  transition: all ease-in-out .2s;
}
.fun {
  border-color: #777;
}

.fun span, .share span {
  display: block;
  font-size: 25px;
  line-height: 50px;
  border-radius: 50%;
  text-align: center;
  cursor: pointer;
}

#weixin-qrcode-container {
  -webkit-transform: translate(-110%, -100%);
  -moz-transform: translate(-110%, -100%);
  -ms-transform: translate(-110%, -100%);
  -o-transform: translate(-110%, -100%);
  transform: translate(-110%, -100%);
  width: 128px;
  padding: 10px;
  background: #FFF;
  border: 1px solid #888;
}

#weixin-qrcode-container p {
  margin: 0 0 5px 0;
  color: #777;
  font-size: 12px;
}

#share-home {
  -webkit-transform: translateY(-240%);
  -moz-transform: translateY(-240%);
  -ms-transform: translateY(-240%);
  -o-transform: translateY(-240%);
  transform: translateY(-240%);
}
#share-top {
  -webkit-transform: translateY(-120%);
  -moz-transform: translateY(-120%);
  -ms-transform: translateY(-120%);
  -o-transform: translateY(-120%);
  transform: translateY(-120%);
}

.share {
  opacity: 0;
  -webkit-transform: scale(.8);
  -moz-transform: scale(.8);
  -ms-transform: scale(.8);
  -o-transform: scale(.8);
  transform: scale(.8);
}
.switched .share {
  opacity: 1;
}
.switched .fun {
  opacity: 0;
}

.switched #share-home, .switched #share-top {
  -webkit-transform: translateY(0);
  -moz-transform: translateY(0);
  -ms-transform: translateY(0);
  -o-transform: translateY(0);
  transform: translateY(0);
}

.switched #share-weixin {
  -webkit-transform: translateY(-120%);
  -moz-transform: translateY(-120%);
  -ms-transform: translateY(-120%);
  -o-transform: translateY(-120%);
  transform: translateY(-120%);
}
.switched #share-weibo {
  -webkit-transform: translateY(-240%);
  -moz-transform: translateY(-240%);
  -ms-transform: translateY(-240%);
  -o-transform: translateY(-240%);
  transform: translateY(-240%);
}
.switched #share-qq {
  -webkit-transform: translateY(-360%);
  -moz-transform: translateY(-360%);
  -ms-transform: translateY(-360%);
  -o-transform: translateY(-360%);
  transform: translateY(-360%);
}
.switched #share-qzone {
  -webkit-transform: translateY(-480%);
  -moz-transform: translateY(-480%);
  -ms-transform: translateY(-480%);
  -o-transform: translateY(-480%);
  transform: translateY(-480%);
}

#share-weixin {
  background: #04be02;
}
#share-weibo {
  background: #e6162d;
}
#share-qq {
  background: #12b7f5
}
#share-qzone {
  background: #ffce00;
}

#menu {
  z-index: 10;
}
#menu {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: transparent;
}
#share-toggle {
  width: 100%;
  height: 100%;
  -webkit-transform-origin: 50% 50%;
  -moz-transform-origin: 50% 50%;
  -ms-transform-origin: 50% 50%;
  -o-transform-origin: 50% 50%;
  transform-origin: 50% 50%;
  -webkit-transition: all ease .2s;
  -moz-transition: all ease .2s;
  -ms-transition: all ease .2s;
  -o-transition: all ease .2s;
  transition: all ease .2s;
  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  -ms-transform: scale(1);
  -o-transform: scale(1);
  transform: scale(1);
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
  background: #2ba6cb;
  border: 1px solid #fff;
}
.active #share-toggle {
  -webkit-transform: scale(.6) rotate(-180deg);
  -moz-transform: scale(.6) rotate(-180deg);
  -ms-transform: scale(.6) rotate(-180deg);
  -o-transform: scale(.6) rotate(-180deg);
  transform: scale(.6) rotate(-180deg);
  background: #c5411a;
}

#menu .bar {
  -webkit-transition: all .4s ease;
  -moz-transition: all .4s ease;
  transition: all .4s ease;
  width: 20px;
  height: 3px;
  background: #fff;
  position: absolute;
  top: 53%;
  margin-top: -2.2px;
  left: 16.5px;
  -webkit-transform-origin: 0 50%;
  -moz-transform-origin: 0 50%;
  -ms-transform-origin: 0 50%;
  -o-transform-origin: 0 50%;
  transform-origin: 0 50%;
  -webkit-transform: rotate(30deg);
  -moz-transform: rotate(30deg);
  -ms-transform: rotate(30deg);
  -o-transform: rotate(30deg);
  transform: rotate(30deg);
}
#menu .bar:before {
  content: '';
  width: 20px;
  height: 3px;
  background: #fff;
  position: absolute;
  top: 0;
  left: 0;
  -webkit-transition: all .4s ease;
  -moz-transition: all .4s ease;
  transition: all .4s ease;
  -webkit-transform-origin: 0 50%;
  -moz-transform-origin: 0 50%;
  -ms-transform-origin: 0 50%;
  -o-transform-origin: 0 50%;
  transform-origin: 0 50%;
  -webkit-transform: rotate(-60deg);
  -moz-transform: rotate(-60deg);
  -ms-transform: rotate(-60deg);
  -o-transform: rotate(-60deg);
  transform: rotate(-60deg);
}

#menu .circle {
  -webkit-transition: all .4s ease;
  -moz-transition: all .4s ease;
  transition: all .4s ease;
  position: absolute;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: #fff;
  top: 53%;
  margin-top: -6px;
  left: 13px;
  opacity: 1;
  margin-left: -3px;
}
#menu .circle:before {
  left: 17.78461px;
  top: -9px;
}
#menu .circle:after {
  left: 17.78461px;
  top: 9px;
}
#menu .circle:after, #menu .circle:before {
  -webkit-transition: all .4s ease;
  -moz-transition: all .4s ease;
  transition: all .4s ease;
  content: '';
  opacity: 1;
  display: block;
  position: absolute;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: #fff;
}

#menu.active .bar {
  top: 50%;
  margin-top: 0;
  left: 50%;
  margin-left: -10px;
  -webkit-transform-origin: 50% 50%;
  -moz-transform-origin: 50% 50%;
  -ms-transform-origin: 50% 50%;
  -o-transform-origin: 50% 50%;
  transform-origin: 50% 50%;
  -webkit-transform: rotate(405deg);
  -moz-transform: rotate(405deg);
  -ms-transform: rotate(405deg);
  -o-transform: rotate(405deg);
  transform: rotate(405deg);
}
#menu.active .bar:before {
  -webkit-transform-origin: 50% 50%;
  -moz-transform-origin: 50% 50%;
  -ms-transform-origin: 50% 50%;
  -o-transform-origin: 50% 50%;
  transform-origin: 50% 50%;
  -webkit-transform: rotate(-450deg);
  -moz-transform: rotate(-450deg);
  -ms-transform: rotate(-450deg);
  -o-transform: rotate(-450deg);
  transform: rotate(-450deg);
}

#menu.active .circle, #menu.active .circle:before, #menu.active .circle:after {
  opacity: 0;
}

@media screen and (max-width: 30em) {
  #share-container {
    -webkit-transform: scale(.8);
    -moz-transform: scale(.8);
    -ms-transform: scale(.8);
    -o-transform: scale(.8);
    transform: scale(.8);
    right: 10px;
    bottom: 10px;
  }
}

/***************分享功能结束***************/


/******************朗读开************************/
#vui-con {
    display: inline-block;
    vertical-align: top;
}
#vui {
  font-family: "iconfont", serif !important;
  font-style: normal;
  -webkit-font-smoothing: antialiased;
  -webkit-text-stroke-width: 0.2px;
  -moz-osx-font-smoothing: grayscale;
  background: #2ba6cb;
  color: #fff;
  text-align: center;
  font-size: 20px;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  border-radius: 50%;
  padding: 8px;
}

#vui:after {
  content: "\e604";
}

#vui.loading:after {
  content: "\e703";
  -webkit-animation: rotating 1s linear infinite;
  -o-animation: rotating 1s linear infinite;
  animation: rotating 1s linear infinite;
  display: inline-block;
}

#vui.playing:after {
  content: "\e826";
}

#vui.paused:after, #vui.stopped:after {
  content: "\e824";
  position: relative;
  left: 1px;
}

@-webkit-keyframes rotating {
  from {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  50% {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    transform: rotate(180deg);
  }
  to {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes rotating {
  from {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  50% {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    transform: rotate(180deg);
  }
  to {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
/******************************************/